/* Pre-installation script for Electronic Teller */
'@echo off'

'cls'
say 'Electronic Teller'
say 'Copyright (c) 1994-1996 Paul H. Caron.'
say 'All rights reserved.'
say ''

files.0 = 7
files.1 = 'install.exe'
files.2 = 'g21aoi2d.dll'
files.3 = 'gcrtoi1d.dll'
files.4 = 'gcrtoi2d.dll'
files.5 = 'disk1.lst'
files.6 = 'disk2.lst'
files.7 = 'demo1.lst'

call charout , ' Unzipping installation files - please wait '
i = 1
do files.0
	'disk.1 -o -qq -C '||files.i
	call charout , '.'
	i = i + 1
end
say ''

'install.exe'

call charout , ' Cleaning up '
i = 1
do files.0
	'del '||files.i
	call charout , '.'
	i = i + 1;
end
say ''
